export class FrameworkSwitcher {
    constructor() {
        this.frameworks = ['js', 'angular'];
    }
    switch(framework) {
        const current = this.getCurrent();
        if (framework !== current) {
            document.location.assign(document.location.toString().replace(current, framework));
        }
    }
    getCurrent() {
        return this.frameworks.find(f => document.location.pathname.includes(f));
    }
    render() {
        const current = this.getCurrent();
        return (h("anj-dropdown", null,
            h("anj-button", { context: "link", slot: "dropdown-toggle" },
                "Framework",
                h("anj-icon-opener", null)),
            this.frameworks.map(f => h("anj-dropdown-item", { active: f === current, onClick: () => this.switch(f) }, f))));
    }
    static get is() { return "ad-framework-switcher"; }
    static get properties() { return {
        "frameworks": {
            "type": "Any",
            "attr": "frameworks"
        }
    }; }
    static get style() { return "/**style-placeholder:ad-framework-switcher:**/"; }
}
